<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Bootstrap Components</title>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>
<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-success">
      <a class="navbar-brand" href="#">Earl Diaz</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" href="#">About Me</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Projects</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Tools</a>
          </li>
        </ul>
      </div>
    </nav>
    <!-- End of Navbar -->

    <!-- Main Content -->
    <main class="container-fluid text-center">
        <div class="row">
            <!-- Sidebar -->
            <div class="card col-xl-2 d-none d-xl-block p-0">
                <div class="accordion" id="accordionExample">
                    <!-- Services Section -->
                      <div class="card">
                        <div class="card-header" id="headingOne">
                          <h2 class="mb-0">
                            <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                Services
                            </button>
                          </h2>
                        </div>

                        <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
                          <div class="card-body">
                            <ul class="text-justify" style="list-style: none">
                                <li><a href="">Front-end Design</a></li>
                                <li><a href="">Back-end Server</a></li>
                                <li><a href="">Full-Stack Development</a></li>
                            </ul>
                          </div>
                        </div>
                      </div>
                    <!-- Services Section End -->

                    <!-- Projects Section -->
                      <div class="card">
                        <div class="card-header" id="headingTwo">
                          <h2 class="mb-0">
                            <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                              Projects
                            </button>
                          </h2>
                        </div>
                        <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
                          <div class="card-body">
                            <ul class="text-justify" style="list-style: none">
                                <li><a href="">HTML</a></li>
                                <li><a href="">Bootstrap</a></li>
                                <li><a href="">Node JS Server</a></li>
                            </ul>
                          </div>
                        </div>
                      </div>
                    <!-- Projects Section End -->

                    <!-- Tools Section -->
                      <div class="card">
                        <div class="card-header" id="headingThree">
                          <h2 class="mb-0">
                            <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                              Tools
                            </button>
                          </h2>
                        </div>
                        <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
                          <div class="card-body">
                            <ul class="text-justify" style="list-style: none">
                                <li><a href="">Core Tools</a></li>
                                <li><a href="">Other Tools</a></li>
                            </ul>
                          </div>
                        </div>
                      </div>
                    <!-- Tools Section End -->

                </div>
            </div>
            <!-- End of Sidebar -->

            <!-- Content -->
            <div class="col-xl-10 p-0">
                <!-- Profile Section -->
                <div class="container-fluid bg-dark text-light min-vh-100 p-3 p-md-5">
                    <img class="mt-5 mt-md-0 rounded-circle w-25" src="https://i.guim.co.uk/img/media/3656ae6ea2209d4561caf04fa9f172a519908ca3/0_28_2318_1391/master/2318.jpg?width=1200&height=1200&quality=85&auto=format&fit=crop&s=afcc355f47876bc495cdc3c902639bae">

                    <h1>Earl Diaz</h1>
                    <h3>Full-Stack Web Developer</h3>

                    <div class="row mt-5">
                        <div class="offset-md-2 col-md-8">
                            <p>
                                Lorem ipsum dolor, sit amet consectetur adipisicing elit. Id voluptatum, vel, tempore quam molestiae incidunt dolores itaque eum atque velit aut totam cum amet beatae quasi, commodi optio eos deserunt.
                            </p>
                        </div>
                    </div>                  
                </div>
                <!-- Profile Section End -->

                <!-- Carousel Section -->
                <div class="d-none d-md-block my-md-5">
                    <div class="offset-xl-3 col-xl-6">
                        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
                          <ol class="carousel-indicators">
                            <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                            <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                            <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                          </ol>
                          <div class="carousel-inner">
                            <div class="carousel-item active">
                              <img src="https://place-puppy.com/500x300" class="d-block w-100" alt="...">
                            </div>
                            <div class="carousel-item">
                              <img src="http://placekitten.com/500/300" class="d-block w-100" alt="...">
                            </div>
                            <div class="carousel-item">
                              <img src="https://placebear.com/500/300" class="d-block w-100" alt="...">
                            </div>
                          </div>
                          <button class="carousel-control-prev" type="button" data-target="#carouselExampleIndicators" data-slide="prev">
                            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                            <span class="sr-only">Previous</span>
                          </button>
                          <button class="carousel-control-next" type="button" data-target="#carouselExampleIndicators" data-slide="next">
                            <span class="carousel-control-next-icon" aria-hidden="true"></span>
                            <span class="sr-only">Next</span>
                          </button>
                        </div>  
                    </div>
                </div>
                <!-- Carousel Section End -->

                <!-- Other Projects Section -->
                <div class="bg-secondary text-light min-vh-100 p-5">
                    <h2 class="mb-3">Other Projects</h2>

                    <div class="p-md-5 d-lg-flex justify-content-center">
                        <!-- HTML Card -->
                        <div class="card bg-dark col-xl-4 mb-5 mb-xl-0" style="width: 18rem">
                            <div class="card-body">
                                <img src="https://3.bp.blogspot.com/-7x5c_f1yzsQ/XHv9FZKHrEI/AAAAAAAADrE/4iGl9Lm6K2odX4SdWbU_RN6gZesx4IaGACEwYBhgL/s1600/html.jpg" class="card-img-top">

                                <h5 class="card-title">HTML</h5>
                                <h6 class="card-subtitle mb-2 text-muted">Programming Basics</h6>

                                <p class="card-text">Lorem ipsum dolor sit amet consectetur adipisicing elit. At, expedita consectetur suscipit illum sequi asperiores harum quod officia blanditiis accusamus natus numquam fuga cum. Culpa non, fugit cupiditate nemo distinctio.</p>

                                <a href="#" class="card-link">Link to Project</a>
                            </div>
                        </div>
                        <!-- End of HTML Card -->
                        
                        <!-- Bootstrap Card -->
                        <div class="card bg-dark col-xl-4 mb-5 mb-xl-0 mx-xl-5" style="width: 18rem">
                            <div class="card-body">
                                <img src="https://designmodo.com/wp-content/uploads/2021/03/bootstrap-5-layout.jpg" class="card-img-top">

                                <h5 class="card-title">Bootstrap</h5>
                                <h6 class="card-subtitle mb-2 text-muted">Rapid Prototyping</h6>

                                <p class="card-text">Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolorum totam error sequi eaque delectus, et commodi odit? Autem tempora quasi, beatae reprehenderit error consequatur ipsa, illum possimus, corrupti quod omnis.</p>

                                <a href="#" class="card-link">Link to Project</a>
                            </div>
                        </div>
                        <!-- End of Bootstrap Card -->
                        
                        <!-- Node.js Card -->
                        <div class="card bg-dark col-xl-4 mb-5 mb-xl-0" style="width: 18rem">
                            <div class="card-body">
                                <img src="https://clever-solution.com/wp-content/uploads/2020/04/5625%D0%9C%D0%BE%D0%BD%D1%82%D0%B0%D0%B6%D0%BD%D0%B0%D1%8F-%D0%BE%D0%B1%D0%BB%D0%B0%D1%81%D1%82%D1%8C-1-1280x720.png" class="card-img-top">

                                <h5 class="card-title">Node JS Server</h5>
                                <h6 class="card-subtitle mb-2 text-muted">Backend Basics</h6>

                                <p class="card-text">Lorem ipsum dolor sit amet consectetur adipisicing elit. Tenetur distinctio ut eligendi, impedit odio. Ipsam praesentium id voluptatibus reiciendis hic corrupti blanditiis, voluptas, fuga ea rem exercitationem saepe nostrum! Nam!</p>

                                <a href="#" class="card-link">Link to Project</a>
                            </div>
                        </div>
                        <!-- End of Node.js Card -->
                    </div>
                </div>
                <!-- Other Projects Section End -->
            </div>
            <!-- End of Content -->
        </div>
    </main>
    <!-- End of Main Content -->

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>
